[airflow-chef] Colliding JWT libraries

Description

Airflow recipe includes custom Hopsworks authentication module which uses JWT to authenticate users. In airflow environment we install 'jwt' module but Airflow (1.10.1) also installs 'PyJWT' library through Flask-JWT-Extended under the same namespace 'jwt'. Recently Airflow upgraded the version of PyJWT and it is not compatible anymore.

Assignee

Antonios Kouzoupis

Reporter

Antonios Kouzoupis

Labels

None

Fix versions

Affects versions

Priority

High
Configure